at.chipkarte.client.aum.soap

## Class AufSuchergebnis

- Object
- - at.chipkarte.client.aum.soap.AufSuchergebnis

-     public class AufSuchergebnis
      extends Object

  Überblicksdaten einer Meldung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AufSuchergebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbweichendeAusgehzeitBis1()` Ende der abweichenden Ausgehzeit 1.
    `String` | `getAbweichendeAusgehzeitBis2()` Ende der abweichenden Ausgehzeit 2.
    `String` | `getAbweichendeAusgehzeitVon1()` Beginn der abweichenden Ausgehzeit 1.
    `String` | `getAbweichendeAusgehzeitVon2()` Beginn der abweichenden Ausgehzeit 2.
    `String` | `getAfMelder()` Code für den Akteur, der das Datum ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
    `String` | `getArbeitsunfaehigBis()` Ende der Arbeitsunfähigkeit (für beendete AU-Meldungen oder AF-Meldungen).
    `String` | `getArbeitsunfaehigVon()` Beginn der Arbeitsunfähigkeit.
    `String` | `getAuErgaenzer()` Code für den Bearbeiter einer AU-Meldung im Backend.
    `Long` | `getAufID()` ID der Meldung.
    `Integer` | `getAufVersion()` Version der Meldung.
    `String` | `getAusstellungsdatum()` Ausstellungsdatum der Meldung.
    `Boolean` | `getBettruhe()` Gibt an, ob dem Patienten Bettruhe verordnet wird.
    `String` | `getGeburtsDatum()` Geburtsdatum des Patienten.
    `String` | `getMeldungsart()` Meldungsart.
    `Boolean` | `getSelbsterstelltAF()` Kennzeichen, true falls der aktuelle Benutzer das Datum für ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
    `Boolean` | `getSelbsterstelltAU()` Kennzeichen, true falls der aktuelle Benutzer der Initialersteller der AU-Meldung ist; false für "reine" AF-Meldungen oder von anderen Benutzern erstellte AU-Meldungen.
    `String` | `getSvNummer()` SV-Nummer des Patienten (bleibt bei EKVK-Patienten leer).
    `String` | `getSvtCode()` Code des KVT, an den die Meldung gesendet wurde.
    `Boolean` | `getUngeprueft()` Gibt an, ob die Meldung ohne Anspruchsprüfung angelegt wurde.
    `String` | `getVorname()` Vorname des Patienten.
    `String` | `getZuname()` Zuname des Patienten.
    `Boolean` | `isEditierbar()` Kennzeichen, true falls diese Meldung geändert oder storniert werden kann.
    `void` | `setAbweichendeAusgehzeitBis1(String abweichAusgang1Bis)`
    `void` | `setAbweichendeAusgehzeitBis2(String abweichAusgang2Bis)`
    `void` | `setAbweichendeAusgehzeitVon1(String abweichAusgang1Von)`
    `void` | `setAbweichendeAusgehzeitVon2(String abweichAusgang2Von)`
    `void` | `setAfMelder(String afMelder)`
    `void` | `setArbeitsunfaehigBis(String arbeitsunfaehigBis)`
    `void` | `setArbeitsunfaehigVon(String arbeitsunfaehigVon)`
    `void` | `setAuErgaenzer(String auErgaenzer)`
    `void` | `setAufID(Long aufID)`
    `void` | `setAufVersion(Integer aufVersion)`
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setBettruhe(Boolean bettruhe)`
    `void` | `setEditierbar(Boolean editierbar)`
    `void` | `setGeburtsDatum(String geburtsDatum)`
    `void` | `setMeldungsart(String meldungsart)`
    `void` | `setSelbsterstelltAF(Boolean selbsterstelltAF)`
    `void` | `setSelbsterstelltAU(Boolean selbsterstelltAU)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setUngeprueft(Boolean ungeprueft)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AufSuchergebnis

          public AufSuchergebnis()

  - ### Method Detail

    - #### getUngeprueft

          public Boolean getUngeprueft()

      Gibt an, ob die Meldung ohne Anspruchsprüfung angelegt wurde.
      Returns:
        Kennzeichen - ungeprueft

    - #### setUngeprueft

          public void setUngeprueft(Boolean ungeprueft)

    - #### getArbeitsunfaehigBis

          public String getArbeitsunfaehigBis()

      Ende der Arbeitsunfähigkeit (für beendete AU-Meldungen oder AF-Meldungen).
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ende der Arbeitsunfähigkeit

    - #### setArbeitsunfaehigBis

          public void setArbeitsunfaehigBis(String arbeitsunfaehigBis)

    - #### getArbeitsunfaehigVon

          public String getArbeitsunfaehigVon()

      Beginn der Arbeitsunfähigkeit.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Beginn der Arbeitsunfähigkeit

    - #### setArbeitsunfaehigVon

          public void setArbeitsunfaehigVon(String arbeitsunfaehigVon)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Ausstellungsdatum der Meldung.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Ausstellungsdatum der Meldung

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getMeldungsart

          public String getMeldungsart()

      Meldungsart.
      Format: 2-stellig
      Mögliche Werte: `Meldungsart`
      Returns:
        Meldungsart

    - #### setMeldungsart

          public void setMeldungsart(String meldungsart)

    - #### getZuname

          public String getZuname()

      Zuname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Zuname des Patienten

    - #### setZuname

          public void setZuname(String zuname)

    - #### getSvNummer

          public String getSvNummer()

      SV-Nummer des Patienten (bleibt bei EKVK-Patienten leer).
      Format: 10-stellig
      Returns:
        SV-Nummer des Patienten

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getSvtCode

          public String getSvtCode()

      Code des KVT, an den die Meldung gesendet wurde.
      Format: 2-stellig
      Returns:
        Code des KVTs

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### getVorname

          public String getVorname()

      Vorname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Vorname des Patienten

    - #### setVorname

          public void setVorname(String vorname)

    - #### getAufID

          public Long getAufID()

      ID der Meldung.
      Format: 19-stellig
      Returns:
        ID der Meldung

    - #### setAufID

          public void setAufID(Long aufID)

    - #### getAufVersion

          public Integer getAufVersion()

      Version der Meldung.
      Returns:
        Version der Meldung

    - #### setAufVersion

          public void setAufVersion(Integer aufVersion)

    - #### getGeburtsDatum

          public String getGeburtsDatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Geburtsdatum

    - #### setGeburtsDatum

          public void setGeburtsDatum(String geburtsDatum)

    - #### getAbweichendeAusgehzeitBis1

          public String getAbweichendeAusgehzeitBis1()

      Ende der abweichenden Ausgehzeit 1.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 01 und 24
      Returns:
        Ende der abweichenden Ausgehzeit 1

    - #### setAbweichendeAusgehzeitBis1

          public void setAbweichendeAusgehzeitBis1(String abweichAusgang1Bis)

    - #### getAbweichendeAusgehzeitVon1

          public String getAbweichendeAusgehzeitVon1()

      Beginn der abweichenden Ausgehzeit 1.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 00 und 23
      Returns:
        Beginn der abweichenden Ausgehzeit 1

    - #### setAbweichendeAusgehzeitVon1

          public void setAbweichendeAusgehzeitVon1(String abweichAusgang1Von)

    - #### getAbweichendeAusgehzeitBis2

          public String getAbweichendeAusgehzeitBis2()

      Ende der abweichenden Ausgehzeit 2.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 01 und 24
      Returns:
        Ende der abweichenden Ausgehzeit 2

    - #### setAbweichendeAusgehzeitBis2

          public void setAbweichendeAusgehzeitBis2(String abweichAusgang2Bis)

    - #### getAbweichendeAusgehzeitVon2

          public String getAbweichendeAusgehzeitVon2()

      Beginn der abweichenden Ausgehzeit 2.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 00 und 23
      Returns:
        Beginn der abweichenden Ausgehzeit 2

    - #### setAbweichendeAusgehzeitVon2

          public void setAbweichendeAusgehzeitVon2(String abweichAusgang2Von)

    - #### getBettruhe

          public Boolean getBettruhe()

      Gibt an, ob dem Patienten Bettruhe verordnet wird.
      Returns:
        Kennzeichen - Bettruhe verordnet

    - #### setBettruhe

          public void setBettruhe(Boolean bettruhe)

    - #### getAuErgaenzer

          public String getAuErgaenzer()

      Code für den Bearbeiter einer AU-Meldung im Backend.
      Mögliche Werte: `AumMelderErgaenzerTypen`
      Returns:
        Code für AU-Ergänzer

    - #### setAuErgaenzer

          public void setAuErgaenzer(String auErgaenzer)

    - #### getAfMelder

          public String getAfMelder()

      Code für den Akteur, der das Datum ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
      Mögliche Werte: `AumMelderErgaenzerTypen`
      Returns:
        Code für AF-Melder

    - #### setAfMelder

          public void setAfMelder(String afMelder)

    - #### getSelbsterstelltAU

          public Boolean getSelbsterstelltAU()

      Kennzeichen, true falls der aktuelle Benutzer der Initialersteller der AU-Meldung ist; false für "reine" AF-Meldungen oder von anderen Benutzern erstellte AU-Meldungen.
      Returns:
        Kennzeichen AU-selbsterstellt

    - #### setSelbsterstelltAU

          public void setSelbsterstelltAU(Boolean selbsterstelltAU)

    - #### getSelbsterstelltAF

          public Boolean getSelbsterstelltAF()

      Kennzeichen, true falls der aktuelle Benutzer das Datum für ArbeitsunfaehigBis (Letzter Tag der AU) gesetzt oder zuletzt geändert hat.
      Bei offenen Meldungen (ohne eingetragenem Wert für ArbeitsunfaehigBis ist das Kennzeichen immer false.
      Returns:
        Kennzeichen AF-selbsterstellt

    - #### setSelbsterstelltAF

          public void setSelbsterstelltAF(Boolean selbsterstelltAF)

    - #### isEditierbar

          public Boolean isEditierbar()

      Kennzeichen, true falls diese Meldung geändert oder storniert werden kann.
      Returns:
        Kennzeichen AF-selbsterstellt

    - #### setEditierbar

          public void setEditierbar(Boolean editierbar)